/*generales*/
@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,100;0,300;0,400;0,700;0,900;1,100;1,300;1,400;1,700;1,900&family=Lexend:wght@100..900&family=Sour+Gummy:ital,wght@0,100..900;1,100..900&display=swap');


h1 {
    color: #FF8ACA;
    text-align: center;
    font-family: "Sour Gummy", sans-serif;
}

h2 {
    color: #FF8ACA;
    text-align: center;
    font-family: "Lexend", sans-serif;
    font-size: 40px;
}

h3 {
    color: #F0F2F0;
    text-align: center;
    font-family: "Lexend", sans-serif;
}

p {
    color: #F0F2F0;
    text-align: center;
    font-family: "lato", sans-serif;
}

/*scrollup*/
#scrollUp {
    bottom: 20px;
    right: 20px;
    width: 48px;
    height: 48px;
    background: #FF8ACA;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    text-decoration: none;
    border-radius: 50%;
}

/*navbar*/
.navbar {
    position: sticky;
    top: 0;
    background: #505050;
    background: linear-gradient(360deg, rgba(80, 80, 80, 1) 0%, rgba(38, 38, 38, 1) 50%, rgba(29, 29, 29, 1) 100%);
    z-index: 9999;
}

.navbar-nav {
    text-align: center;
    font-family: "Lato", sans-serif;
    font-weight: 400;
    font-style: normal;
}

.bg-light {
    background-color: #1c1c1c !important;
}

.navbar-brand img {
    width: 150px;
}

.navbar-nav .active {
    background-color: #FF8ACA;
    color: #262626 !important;
    border-radius: 25px;
    padding: 8px 25px !important;
    text-align: center;
}

/*acercademi*/
.acercademi {
    color: #ffffff;
}

.contenedor-img {
    padding: 0;
    overflow: hidden;
}

.video-lateral {
    width: 100%;
    height: 100%;
    object-fit: cover; /* 🔑 no se deforma */
    display: block;
}

/* Columnas laterales (imágenes) */
.contenedor-img {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    padding: 0;
}

.contenedor-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    /* llena la columna sin deformarse */
}

/* Columna central */
.hola {
    min-height: 100vh;
    padding: 0 30px 40px;
    background: radial-gradient(circle,
            rgba(56, 56, 56, 1) 0%,
            rgba(38, 38, 38, 1) 57%,
            rgba(29, 29, 29, 1) 100%);
    display: flex;
    flex-direction: column;
}

/* Contenido que cambia */
.contenido-wrapper {
    flex: 1;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    max-height: 800px;
}

.contenido {
    display: none;
    animation: fade 0.4s ease;
    padding: 100px;
}

.contenido.activo {
    display: block;
}

/* Texto */
.acercademi h1 {
    font-size: 50px;
    margin-bottom: 40px;
}

.acercademi p {
    font-size: 20px;
}

.explora {
    color: #FF8ACA;
    margin-top: 15px;
}

.foto-yo {
    max-width: 400px;
    width: 100%;
    border-radius: 15%;
    border: 2px solid #ffffff;
    padding: 20px;
}

/* Caja de botones */
.caja-botones {
    background: #ffffff;
    border-radius: 40px;
    width: 320px;
    display: flex;
    justify-content: space-between;
    margin-top: 10px !important;
}

/* Botones */
.boton-inicio {
    padding: 10px 25px;
    border-radius: 30px;
    text-decoration: none;
    font-weight: 500;
    color: #262626;
    transition: all 0.3s ease;
}

.boton-inicio.activo {
    background-color: #FF8ACA;
    color: #F0F2F0;
}

/* Animación */
@keyframes fade {
    from {
        opacity: 0;
        transform: translateY(10px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}


/* Botones */
.boton-inicio {
    padding: 8px 25px;
    border-radius: 25px;
    text-decoration: none;
    color: #262626;
    transition: all 0.3s ease;
}

.boton-inicio.activo {
    background-color: #FF8ACA;
    color: #F0F2F0;
}

/*PORTAFOLIO*/
.portafolio {
    padding-top: 80px;
    padding-bottom: 80px;
    text-align: center;
    background-color: #ffffff;
    font-family: "Lato", sans-serif;
}

/*Portafolio:Grid de botones*/

.grid-botones {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 220px 220px;
    gap: 20px;
    width: 100%;
    border: 3px solid #262626;
    padding: 20px;
    box-sizing: border-box;
    border-radius: 25px;
}

/*Portafolio: Boton inicial*/

.botonp {
    background-color: #F0F2F0;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 220px;
    font-size: 20px;
    font-weight: 500;
    text-decoration: none;
    color: #262626;
    position: relative;
    overflow: hidden;

    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

    transition:
        transform 0.25s ease,
        color 0.25s ease;
}

.botonp span {
    position: relative;
    z-index: 2;
}

/*Portafolio:Boton antes*/

.botonp::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.35);
    opacity: 0;
    transition: opacity 0.3s ease;
    z-index: 1;
}

/*Portafolio: Hover*/
.botonp:hover {
    transform: scale(1.04);
    color: #F0F2F0;
    background-size: 120%;
}

.botonp:hover::before {
    opacity: 1;
}

.botonp {
    will-change: background-image, transform;
}

/*Portafolio:Imagenes botones*/
/* Fotografía */
.botonp.botonfotografia:hover {
    background-image: url("../imagenes/hover_fotografia.jpg");
}

/* Editorial */
.botonp.botoneditorial:hover {
    background-image: url("../imagenes/hover_editorial.jpg");
}

/* Medios */
.botonp.botonmedios:hover {
    background-image: url("../imagenes/hover_medios.jpg");
}

/* Branding */
.botonp.botonbranding:hover {
    background-image: url("../imagenes/hover_branding.jpg");
}

/*Portafolio:Iconos*/
.iconosportafolio {
    padding-top: 20px;
    padding-bottom: 80px;
}

.iconoportafolio img {
    height: 40px;
    padding-top: 5px;
    cursor: pointer;
    transition: transform 0.2s ease, opacity 0.2s ease;
}

.iconoportafolio img:hover {
    transform: scale(1.1);
    opacity: 1;
}

/*Portafolio:Titulo*/

.portafolio_titulo {
    padding: 30px;
    padding-top: 80px;
}

/*FOTOGRAFIA*/
.fotografia {
    position: relative;
    overflow: hidden;
    height: 691px;
    background: #262626;
    padding: 20px;
}

.fotografia .row {
    position: relative;
    z-index: 2;
}

.fotografia h2 {
    color: #FF8ACA;
    padding-top: 60px;
}

.fotografia p {
    padding-bottom: 60px;
}

.carousel-item img {
    height: 400px;
    object-fit: cover;
}

.foto-lineart {
    position: absolute;
    top: 20%;
    right: -30px;
    width: 60%;
    max-width: 300px;
    opacity: 0.25;
    z-index: 0;
    transform: translate(-50%, -50%) rotate(-35deg);
}

.carrusel-foto {
    padding: 50px;
}

/*editorial*/
.editorial {
    position: relative;
    background: #262626;
    overflow: hidden;
}

.editorial .row {
    position: relative;
    z-index: 1;
}

.reporte-imagen {
    width: 350px;
    z-index: 0;
    align-items: center;
}

.reporte-img {
    max-width: 420px;
}

.editorial-texto {
    text-align: left;
    padding: 150px 40px;
}

.reporte {
    position: relative;
    z-index: 3;
}

.editorial .row {
    position: relative;
    z-index: 2;
}

.editorial-lineart {
    position: absolute;
    top: 30%;
    left: 0;
    width: 100%;
    max-width: 600px;
    opacity: 0.25;
    z-index: 0;
}

.circular-lineart {
    position: absolute;
    top: 0;
    right: 0;
    width: 40%;
    max-width: 300px;
    opacity: 0.25;
    z-index: 1;
}

.editorial h2 {
    color: #FF8ACA;
    padding-top: 20px;
}

.revista1 {
    padding-top: 50px;
}

.revista3 {
    padding-bottom: 50px;
}

/*medios*/
.medios {
    position: relative;
    height: 691px;
    background: #262626;
}

.medios img {
    padding-top: 100px;
    padding-bottom: 50px;
}

.medios .row {
    position: relative;
    z-index: 2;
}

.like-lineart1 {
    position: absolute;
    top: 360px;
    left: 50px;
    width: 40%;
    max-width: 150px;
    opacity: 0.25;
    z-index: 0;
}

.like-lineart2 {
    position: absolute;
    top: 360px;
    right: 50px;
    width: 30%;
    max-width: 150px;
    opacity: 0.25;
    z-index: 0;
}

.medios h2 {
    color: #FF8ACA;
    padding-top: 20px;
}

.medios .col-md-4 {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
}

/*branding*/
.branding {
    position: relative;
    height: 691px;
    background: #262626;
}

.branding h2 {
    color: #FF8ACA;
    padding-top: 60px;
}

.branding p {
    padding-bottom: 60px;
}

.lapiz-lineart1 {
    position: absolute;
    top: 255%;
    left: 50px;
    width: 40%;
    max-width: 240px;
    opacity: 0.25;
    z-index: 0;
    transform: translate(-50%, -50%) rotate(35deg);
}

.lapiz-lineart2 {
    position: absolute;
    top: 20%;
    right: -50px;
    width: 30%;
    max-width: 200px;
    opacity: 0.25;
    z-index: 0;
    transform: translate(-50%, -50%) rotate(-145deg);
}

.branding .row {
    position: relative;
    z-index: 2;
}

.owl-carrusel {
    padding-bottom: 30px;
}

.owl-carousel .item img {
    display: flex;
    justify-content: center;
    align-items: center;
}

/*servicios*/
.servicios-imag {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    padding: 0;
}

.servicios {
    background: #F0F2F0;
    background: linear-gradient(90deg, rgba(240, 242, 240, 1) 0%, rgba(232, 232, 232, 1) 100%);
}

.serivicios h2 {
    color: #FF8ACA;
    font-size: 50px;
    text-align: center;
    padding-top: 300px;
}

.servicios p {
    font-size: 20px;
    color: #262626;
    text-align: center;
}

.marquee1 {
    overflow: hidden;
    border-top: 1px solid #1f93af;
    border-bottom: 1px solid #1f93af;
    display: flex;
    align-items: center;
    margin-bottom: 50px;
    margin-left: 50px;
    margin-right: 50px;
}

.marquee2 {
    overflow: hidden;
    border-top: 1px solid #1f93af;
    border-bottom: 1px solid #1f93af;
    display: flex;
    align-items: center;
    margin-top: 50px;
    margin-left: 50px;
    margin-right: 50px;
}


h4{
    color: #1f93af;
    font-size: 15px;
    white-space: nowrap;
    text-transform: uppercase;
    font-family: "lato", sans-serif;
    align-items: center;
    margin-left: 50px;
    margin-right: 50px;
    margin-top: 5px;
}

/*contacto*/
.contact .row {
    margin-left: 0;
    margin-right: 0;
}

.contact h2 {
    color: #FF8ACA;
    padding-top: 60px;
    font-family: "Lexend", sans-serif;
    font-size: 40px;
}

.contact p {
    padding-bottom: 40px;
    font-family: "lato", sans-serif;
}

/*aviso de privacidad*/
.texto-aviso {
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.4s ease;
    font-size: 13px;
    margin-top: 10px;
    font-family: "lato", sans-serif;
}

.texto-aviso.activo {
    max-height: 300px;
    font-family: "lato", sans-serif;
}

.btn-aviso {
    background: none;
    border: none;
    color: #FF8ACA; 
    font-size: 14px;      
    font-family: "lato", sans-serif;
    text-align: center;  
    cursor: pointer;
    padding: 0;
}

/*mediaqueri*/
@media (max-width: 768px) {
    .medios .col-md-3 {
        display: flex;
        justify-content: center;
        margin-bottom: 20px;
    }

    .medios img {
        width: auto;
        max-width: 100%;
        height: auto;
    }

    .carousel-item img {
        max-width: 300px;
        margin: 0 auto;
        display: block;
    }

    .editorial-texto {
        text-align: center;
        padding-left: 20px;
        padding-right: 20px;
        padding-top: 60px;
        padding-bottom: 60px;
    }

    .reporte-imagen {
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .reporte-img {
        display: block;
        margin: 0px auto;
        width: 300px;
    }

    .editorial-lineart {
        position: absolute;
        top: 60%;
        left: 10px;
        width: 80%;
        max-width: 300px;
        opacity: 0.25;
        z-index: 0;
    }

    .like-lineart1 {
        position: absolute;
        top: 300px;
        left: 50px;
        width: 50% !important;
        max-width: 200px !important;
        opacity: 0.25;
        z-index: 0;
    }

    .like-lineart2 {
        position: absolute;
        top: 300px;
        right: 50px;
        width: 50% !important;
        max-width: 200px !important;
        opacity: 0.25;
        z-index: 0;
    }

    .contact .container,
    .contact .row,
    .contact-form-wrap,
    .contact input,
    .contact textarea,
    .contact select {
        max-width: 100%;
        width: 100%;
        box-sizing: border-box;
    }
}

@media (max-width: 425px) {
    .medios img {
        max-width: 40%;
        padding: 15px;
    }

    .servicios p {
        padding-top: 25px;
    }

    .servicios h2 {
        padding-top: 20px;
    }

    .acercademi-imag {
        height: 150px;
    }

    .acercademi-imag img {
        height: 100%;
        width: 100%;
        object-fit: cover;
    }

    .acercademi h1 {
        padding-top: 70px;
        padding-bottom: 20px;
        font-size: 50px;
    }

    .acercademi p {
        font-size: 15px;
    }

    .caja-botones {
        margin-bottom: 60px;
    }

    .boton-inicio {
        padding: 10px 25px;
        border-radius: 30px;
        text-decoration: none;
        font-weight: 500;
        font-size: 12px;
        color: #262626;
        transition: all 0.3s ease;
    }

    .contenido {
        display: none;
        animation: fade 0.4s ease;
        padding: 30px;
    }

    .contenedor-img {
        height: 200px;
    }

    .grid-botones {
        width: 90%;
        grid-template-columns: 1fr;
        grid-template-rows: repeat(4, 180px);
        gap: 16px;
        padding: 16px;
    }


    .fotografia h2 {
        font-size: 40px;
        text-align: center;
    }

    .fotografia {
        min-height: 800px;
        height: auto;
        overflow: visible;
    }

    .carousel-item {
        height: 1000px;
    }

    .carousel-item img {
        max-width: 140px;
        margin: 0 auto;
        display: block;
    }

    .carousel-item picture {
        height: 100%;
        display: block;
    }

    .carousel-item img {
        height: 100% !important;
        width: 100%;
        object-fit: cover;
    }

    .carousel-item {
        height: 100vh;
    }



    .portafolio_titulo {
        padding: 30px;
        padding-top: 40px;
    }


    .acercademi-imag img {
        height: 100%;
        width: 100%;
        object-fit: cover;
    }


    .editorial img {
        width: 250px;
        padding-top: 50px;
        padding-bottom: 60px;
        display: block;
    }

    .circular-lineart {
        position: absolute;
        top: 0;
        right: 15px;
        width: 40%;
        max-width: 200px;
        opacity: 0.25;
        z-index: 0;
    }

    .editorial-lineart {
        display: none;
    }

    .reporte {
        position: relative;
        z-index: 3;
    }

    .editorial {
        position: relative;
        overflow-x: hidden;
    }

    .like-lineart1 {
        display: none;
    }

    .like-lineart2 {
        position: absolute;
        top: 480px;
        right: 0px;
        width: 50% !important;
        max-width: 250px !important;
        opacity: 0.25;
        z-index: 0;
    }


    .servicios h2 {
        padding-top: 100px;
    }

    .servicios p {
        font-size: 15px;
        color: #262626;
        text-align: center;
        padding-bottom: 100px;
    }

    .servicios-imag {
        height: 200px;
    }
}

@media (max-width: 375px) {
    .caja-botones {
        background: #ffffff;
        border-radius: 40px;
        width: 270px;
        display: flex;
        justify-content: space-between;
        margin-top: 10px !important;
    }
}